Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jet.server.api
Enum BVElementInfo.BVElementType

    java.lang.Object
      java.lang.Enum<BVElementInfo.BVElementType>
          jet.server.api.BVElementInfo.BVElementType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BVElementInfo.BVElementType>

Enclosing interface:
  BVElementInfo

    public static enum BVElementInfo.BVElementType

extends java.lang.Enum<BVElementInfo.BVElementType>

Represents BV element type.

Enum Constant Summary
`AGGREGATION` type: aggregation
`CATEGORY` type: category
`DETAILS` type: details
`GROUP` type: group

Method Summary
`static BVElementInfo.BVElementType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BVElementInfo.BVElementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CATEGORY

    public static final BVElementInfo.BVElementType CATEGORY

  type: category

### GROUP

    public static final BVElementInfo.BVElementType GROUP

  type: group

### AGGREGATION

    public static final BVElementInfo.BVElementType AGGREGATION

  type: aggregation

### DETAILS

    public static final BVElementInfo.BVElementType DETAILS

  type: details

Method Detail

### values

    public static BVElementInfo.BVElementType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BVElementInfo.BVElementType c : BVElementInfo.BVElementType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BVElementInfo.BVElementType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD